<?xml version="1.0" encoding="UTF-8"?>
<package packagerversion="1.10.13" version="2.0" xmlns="http://pear.php.net/dtd/package-2.0" xmlns:tasks="http://pear.php.net/dtd/tasks-1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://pear.php.net/dtd/tasks-1.0 http://pear.php.net/dtd/tasks-1.0.xsd             http://pear.php.net/dtd/package-2.0 http://pear.php.net/dtd/package-2.0.xsd">
 <name>Mail_Mime</name>
 <channel>pear.php.net</channel>
 <summary>Mail_Mime provides classes to create MIME messages.</summary>
 <description>Mail_Mime provides classes to deal with the creation and manipulation of MIME messages.
It allows people to create e-mail messages consisting of:
* Text Parts
* HTML Parts
* Inline HTML Images
* Attachments
* Attached messages

It supports big messages, base64 and quoted-printable encodings and
non-ASCII characters in filenames, subjects, recipients, etc. encoded
using RFC2047 and/or RFC2231.</description>
 <lead>
  <name>Cipriano Groenendal</name>
  <user>cipri</user>
  <email>cipri@php.net</email>
  <active>no</active>
 </lead>
 <lead>
  <name>Aleksander Machniak</name>
  <user>alec</user>
  <email>alec@php.net</email>
  <active>yes</active>
 </lead>
 <date>2024-03-10</date>
 <time>20:22:12</time>
 <version>
  <release>1.10.12</release>
  <api>1.10.0</api>
 </version>
 <stability>
  <release>stable</release>
  <api>stable</api>
 </stability>
 <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
 <notes>
* Prevent from &quot;PHP Deprecated: file_exists(): Passing null to parameter #1 ($filename) of type string&quot; [alec]
* PHPDoc improvements [alec]
 </notes>
 <contents>
  <dir name="/">
   <file baseinstalldir="Mail" md5sum="edd138f6c5497ae2b5d63620a67a931e" name="tests/class-filename.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="7ec986391d0af058316f66e5a507e059" name="tests/content_transfer_encoding.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="c1a43360d9b2cb5f9542503a4355c277" name="tests/encoding_case.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="bf50a200190cad5e2d4aae4e120ea09f" name="tests/headers_with_mbstring.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="9a2d207f873317125ff43c092f3f0d25" name="tests/headers_without_mbstring.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="25d4c5b9fdeaabc7810c26e6f89e95ca" name="tests/qp_encoding_test.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="958197f31b4a20c91dd42662595e7516" name="tests/sleep_wakeup_EOL-bug3488-part1.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="46675529f1f021b51a1aa0ae6c971cd2" name="tests/sleep_wakeup_EOL-bug3488-part2.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="f8c05910737e451c7a9d4737b8d9f095" name="tests/test_Bug_3513_1.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="edb467a375ddf09e777a9388e2e8cbb5" name="tests/test_Bug_3513_2.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="70c2456445eaaa80779206e9e245d685" name="tests/test_Bug_3513_3.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="4cda500d0d7925e81a299f1d3db132a9" name="tests/test_Bug_7561_1.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="42a214e7e3d3afa07f8996b235222611" name="tests/test_Bug_8386_1.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="ed78099563499f60386a128cb7b96925" name="tests/test_Bug_8541_1.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="5250a0693599b945e8642a1a289d7275" name="tests/test_Bug_9722_1.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="b7f58f54e1485c23a60c83cd3cc5563e" name="tests/test_Bug_10596_1.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="ccb53d80e7f5c9f28b11abce5fe5d490" name="tests/test_Bug_10816_1.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="f3d92a1fff099173b8600fb3646d0614" name="tests/test_Bug_10999_1.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="3f2757d5db43abd8f177f094f4d53625" name="tests/test_Bug_11381.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="c64d675e73bc02fc94f5d03b3117cfa0" name="tests/test_Bug_11731.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="8c9305ca05f5ed2d7cd7e31e4836f17a" name="tests/test_Bug_12165.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="2aa2c3dfbe44500809e79da994272611" name="tests/test_Bug_12385_1.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="ef1d726233dbd3360c540fd6a959b0d0" name="tests/test_Bug_12411.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="a862a57ff622fcbb2328be6c805e2d05" name="tests/test_Bug_12466.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="4eddeeac08f351feb147ab6fda439526" name="tests/test_Bug_13032.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="de15a0657a83694bc6991c4184ccf9bd" name="tests/test_Bug_13444.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="80afe9fced03288884e9d302d1e65b2d" name="tests/test_Bug_13962.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="89bf87e798f4a149a150d4c2a505f976" name="tests/test_Bug_14529.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="5f9100adb1c609110ed495fafa819975" name="tests/test_Bug_14779.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="45eb42fe4e325da64f1ae8f149e2a396" name="tests/test_Bug_14780.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="609dad2083c54ba56ea691c488ca20e2" name="tests/test_Bug_15320.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="f4ef08e416e775558e8075b531bbc814" name="tests/test_Bug_16539.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="ed1bd0fc9067b3fb8b95808bfa315916" name="tests/test_Bug_17025.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="8a37de74fb39fed4566617a7ea38bb69" name="tests/test_Bug_17175.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="b9dee3c7c45d8c6c22f860e93c3769b9" name="tests/test_Bug_18083.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="96ce23ad1a1d6417facfcdd2baa9c8eb" name="tests/test_Bug_18772.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="dd98307b3224b173f7b54f7e403865a4" name="tests/test_Bug_19497.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="e1194180cb6a218fab69db90f88d1cb2" name="tests/test_Bug_20226.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="1b7919174edcd1cf5d5fd5a622fdac9b" name="tests/test_Bug_20273.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="6513c4b0c9e962c900d020124752333e" name="tests/test_Bug_20563.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="7c7a00818cb0f01fa6c52c920b9e76c6" name="tests/test_Bug_20564.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="b9e31a9c24b05dfb6166512e04e2f056" name="tests/test_Bug_21027.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="b634a5e99aa26a8b6df8fcfae07051b4" name="tests/test_Bug_21098.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="b21be5b099a69428bd37e60589cdd485" name="tests/test_Bug_21205.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="bc152c12839964fba15da5673d25c4db" name="tests/test_Bug_21206.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="ccf732525be42c955eea18e78490c3e1" name="tests/test_Bug_21255.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="579f1e11da6c8074dbf508dc1f1dedfa" name="tests/test_Bug_GH16.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="df32d66d9fccf7a0956422811283272a" name="tests/test_Bug_GH19.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="b7b5b5bacc6a599cfaece35ad202ad1a" name="tests/test_Bug_GH26.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="e08958f1bb60561f072a3508b8fd3e2e" name="tests/test_linebreak_dot.phpt" role="test" />
   <file baseinstalldir="Mail" md5sum="8398e9bfea0bc7c4ff0770ae3d6279fe" name="tests/test_linebreak_larger_76.phpt" role="test" />
   <file baseinstalldir="/" md5sum="c49f7612f42a1b7401a31af4681b400a" name="Mail/mime.php" role="php" />
   <file baseinstalldir="/" md5sum="5523e8f6b15d276eb33087df8bbb8d9f" name="Mail/mimePart.php" role="php" />
  </dir>
 </contents>
 <dependencies>
  <required>
   <php>
    <min>5.2.0</min>
   </php>
   <pearinstaller>
    <min>1.6.0</min>
   </pearinstaller>
  </required>
 </dependencies>
 <phprelease />
 <changelog>
  <release>
   <version>
    <release>1.0</release>
    <api>1.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2001-12-28</date>
   <license uri="http://www.php.net/license">PHP</license>
   <notes>
This is the initial release of the Mime_Mail package.
   </notes>
  </release>
  <release>
   <version>
    <release>1.1</release>
    <api>1.1</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2002-04-03</date>
   <license uri="http://www.php.net/license">PHP</license>
   <notes>
This is a maintenance release with various bugfixes and minor enhancements.
   </notes>
  </release>
  <release>
   <version>
    <release>1.2</release>
    <api>1.2</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2002-07-14</date>
   <license uri="http://www.php.net/license">PHP</license>
   <notes>
* Added header encoding
* Altered mimePart to put boundary parameter on newline
* Changed addFrom() to setFrom()
* Added setSubject()
* Made mimePart inherit crlf setting from mime
   </notes>
  </release>
  <release>
   <version>
    <release>1.2.1</release>
    <api>1.2.1</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2002-07-27</date>
   <license uri="http://www.php.net/license">PHP</license>
   <notes>
* License change
* Applied a few changes From Ilia Alshanetsky
   </notes>
  </release>
  <release>
   <version>
    <release>1.3.0RC1</release>
    <api>1.3.0RC1</api>
   </version>
   <stability>
    <release>beta</release>
    <api>beta</api>
   </stability>
   <date>2005-03-20</date>
   <license uri="http://www.php.net/license">PHP</license>
   <notes>
* First release in over 2.5 years (!)
* MANY bugfixes (see the bugtracker)
* added a few tests
   </notes>
  </release>
  <release>
   <version>
    <release>1.3.0</release>
    <api>1.3.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2005-04-01</date>
   <license uri="http://www.php.net/license">PHP</license>
   <notes>
* First (stable) release in over 2.5 years (!)
* MANY bugfixes (see the bugtracker)
* added a few tests
* one small fix after RC1 (bug #3940)
   </notes>
  </release>
  <release>
   <version>
    <release>1.3.1</release>
    <api>1.3.1</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2005-07-13</date>
   <license uri="http://www.php.net/license">PHP</license>
   <notes>

   </notes>
  </release>
  <release>
   <version>
    <release>1.4.0a1</release>
    <api>1.3.1</api>
   </version>
   <stability>
    <release>alpha</release>
    <api>stable</api>
   </stability>
   <date>2007-03-08</date>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">bsd style</license>
   <notes>
* Changed License to BSD Style license, as that&apos;s what the code was since the beginning [cipri]
* Fix Bug #30: Mail_Mime: _encodeHeaders is not RFC-2047 compliant. [cipri]
* Fix Bug #3513: support of RFC2231 in header fields. [cipri]
* Fix Bug #4696: addAttachment crash [cipri]
* Fix Bug #5333: Only variables should be returned by reference; triggers notices since php 4.4.0 [cipri]
* Fix Bug #7561: Mail_mimePart::_quotedPrintableEncode() misbehavior with mbstring overload [cipri]
* Fix Bug #8223: Incorrectly encoded quoted-printable headers [cipri]
* Fix Bug #8386: HTML body not correctly encoded if attachments present [cipri]
* Fix Bug #8541: mimePart.php line delimiter is \r [cipri]
* Fix Bug #9347: Notices about references [cweiske]
* Fix Bug #9558: Broken multiline headers [cipri]
* Fix Bug #9956: Notices being thrown [cipri]
* Fix Bug #9976: Subject encoded twice [cipri]
* Implement Feature #2952: Mail_mime::headers() saves extra headers [cipri]
* Implement Feature #3636: Allow specification of charsets and encoding [cipri]
* Implement Feature #4057: Mail_Mime: Add name parameter for Content-Type [cipri]
* Implement Feature #4504: addHTMLImage does not work in cases when filename contains a path [cipri]
* Implement Feature #5837: Mail_Mime: Build message for Net_SMTP [cipri]
* Implement Feature #5934: Mail_Mime: choice for content disposition [cipri]
* Implement Feature #6568: Mail_Mime: inline images referenced in CSS definitions not replaced. [cipri]
   </notes>
  </release>
  <release>
   <version>
    <release>1.4.0a2</release>
    <api>1.3.1</api>
   </version>
   <stability>
    <release>alpha</release>
    <api>stable</api>
   </stability>
   <date>2007-04-05</date>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">bsd style</license>
   <notes>
* Fix Bug #9722: _quotedPrintableEncode does not encode dot at start of line on Windows
  platform [cipri]
* Fix Bug #9725: multipart/related &amp; alternative wrong order [cipri]
* Fix Bug #10146: mbstring fails to recognize encodings. [cipri]
* Fix Bug #10158: Inline images not displayed on Mozilla Thunderbird [cipri]
* Fix Bug #10298: Mail_mime, double Quotes and Specialchars in from and to Adress [cipri]
* Fix Bug #10306: Strings with Double Quotes get encoded wrongly [cipri]
* Fix Bug #10596: Incorrect handling of text and html &apos;0&apos; bodies [cipri]
   </notes>
  </release>
  <release>
   <version>
    <release>1.4.0a3</release>
    <api>1.3.1</api>
   </version>
   <stability>
    <release>alpha</release>
    <api>stable</api>
   </stability>
   <date>2007-04-05</date>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">bsd style</license>
   <notes>
* Fix Bug #10298: Mail_mime, double Quotes and Specialchars in from and to Adress [cipri]
* Fix Bug #10306: Strings with Double Quotes get encoded wrongly [cipri]
   </notes>
  </release>
  <release>
   <version>
    <release>1.4.0RC1</release>
    <api>1.3.1</api>
   </version>
   <stability>
    <release>beta</release>
    <api>stable</api>
   </stability>
   <date>2007-04-12</date>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">bsd style</license>
   <notes>
* Fix Bug #10232: Gmail creates double line break when \r\n is used [cipri]
   </notes>
  </release>
  <release>
   <version>
    <release>1.4.0RC2</release>
    <api>1.3.1</api>
   </version>
   <stability>
    <release>beta</release>
    <api>stable</api>
   </stability>
   <date>2007-04-22</date>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">bsd style</license>
   <notes>
* Fix Bug #10791: Unit tests fail [cipri]
* Fix Bug #10792: No unit tests for recently fixed bugs [cipri]
* Fix Bug #10793: Long headers don&apos;t get wrapped since fix for Bug #10298 [cipri]
   </notes>
  </release>
  <release>
   <version>
    <release>1.4.0RC3</release>
    <api>1.3.1</api>
   </version>
   <stability>
    <release>beta</release>
    <api>stable</api>
   </stability>
   <date>2007-04-24</date>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">bsd style</license>
   <notes>
* Fix Bug #10816: Unwanted linebreak at the end of output [cipri]
   </notes>
  </release>
  <release>
   <version>
    <release>1.4.0RC4</release>
    <api>1.3.1</api>
   </version>
   <stability>
    <release>beta</release>
    <api>stable</api>
   </stability>
   <date>2007-04-28</date>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">bsd style</license>
   <notes>
* Fix Bug #3513: support of RFC2231 in header fields. [cipri]
* Fix Bug #10838: bad use of MIME encoding in header. [cipri]
   </notes>
  </release>
  <release>
   <version>
    <release>1.4.0</release>
    <api>1.3.1</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2007-05-05</date>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
Release notes:
 * No more notices in PHP 5 /4.4.0.
 * Improved inline HTML image function.
 * Improved header encoding with foreign charsets.
 * Improved long header rendering.
 * More control over used Charsets and encoding schemes.
 * More configurable attachments and inline images.
 * Full RFC 2047 Support
 * Full RFC 2231 Support
 * Unit-tests

Fixed bugs:
 * Fix Bug #30: Mail_Mime: _encodeHeaders is not RFC-2047 compliant. [cipri]
 * Fix Bug #3513: support of RFC2231 in header fields. [cipri]
 * Fix Bug #4696: addAttachment crash [cipri]
 * Fix Bug #5333: Only variables should be returned by reference; triggers notices since
   php 4.4.0 [cipri]
 * Fix Bug #5400: Do not return function reference [cipri]
 * Fix Bug #5710: Little reference bugs [cipri]
 * Fix Bug #5890: Only variable references should be returned by reference [cipri]
 * Fix Bug #6260: Just a notice with PHP5 [cipri]
 * Fix Bug #6261: php 5.1.1 upgrade [cipri]
 * Fix Bug #6663: Notice about reference passing [cipri]
 * Fix Bug #7561: Mail_mimePart::_quotedPrintableEncode() misbehavior with mbstring
   overload [cipri]
 * Fix Bug #7713: PHP5 Notice: Only variable references should be returned by reference [cipri]
 * Fix Bug #8223: Incorrectly encoded quoted-printable headers [cipri]
 * Fix Bug #8386: HTML body not correctly encoded if attachments present [cipri]
 * Fix Bug #8541: mimePart.php line delimiter is \r [cipri]
 * Fix Bug #8812: user header updates overwritten [cipri]
 * Fix Bug #9347: Notices about references [cweiske]
 * Fix Bug #9558: Broken multiline headers [cipri]
 * Fix Bug #9722: _quotedPrintableEncode does not encode dot at start of line on Windows
   platform [cipri]
 * Fix Bug #9725: multipart/related &amp; alternative wrong order [cipri]
 * Fix Bug #9956: Notices being thrown [cipri]
 * Fix Bug #9976: Subject encoded twice [cipri]
 * Fix Bug #10146: mbstring fails to recognize encodings. [cipri]
 * Fix Bug #10158: Inline images not displayed on Mozilla Thunderbird [cipri]
 * Fix Bug #10232: Gmail creates double line break when \r\n is used [cipri]
 * Fix Bug #10298: Mail_mime, double Quotes and Specialchars in from and to Adress [cipri]
 * Fix Bug #10306: Strings with Double Quotes get encoded wrongly [cipri]
 * Fix Bug #10596: Incorrect handling of text and html &apos;0&apos; bodies [cipri]
 * Fix Bug #10791: Unit tests fail [cipri]
 * Fix Bug #10792: No unit tests for recently fixed bugs [cipri]
 * Fix Bug #10793: Long headers don&apos;t get wrapped since fix for Bug #10298 [cipri]
 * Fix Bug #10816: Unwanted linebreak at the end of output [cipri]
 * Fix Bug #10838: bad use of MIME encoding in header. [cipri]
Implemented Features:
 * Implement Feature #2952: Mail_mime::headers() saves extra headers [cipri]
 * Implement Feature #3636: Allow specification of charsets and encoding [cipri]
 * Implement Feature #4057: Mail_Mime: Add name parameter for Content-Type [cipri]
 * Implement Feature #4504: addHTMLImage does not work in cases when filename contains a path [cipri]
 * Implement Feature #5837: Mail_Mime: Build message for Net_SMTP [cipri]
 * Implement Feature #5934: Mail_Mime: choice for content disposition [cipri]
 * Implement Feature #6568: Mail_Mime: inline images referenced in CSS definitions not replaced. [cipri]
 * Implement Feature #10604: Put an option to specify Content-Location in the header [cipri]
   </notes>
  </release>
  <release>
   <version>
    <release>1.5.0a1</release>
    <api>1.3.1</api>
   </version>
   <stability>
    <release>alpha</release>
    <api>stable</api>
   </stability>
   <date>2007-06-10</date>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
Split off mail_MimeDecode
   </notes>
  </release>
  <release>
   <version>
    <release>1.5.0RC1</release>
    <api>1.3.1</api>
   </version>
   <stability>
    <release>beta</release>
    <api>stable</api>
   </stability>
   <date>2007-06-10</date>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
Split off mail_MimeDecode
   </notes>
  </release>
  <release>
   <version>
    <release>1.5.0</release>
    <api>1.3.1</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2007-06-17</date>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
Split off Mail_MimeDecode
   </notes>
  </release>
  <release>
   <version>
    <release>1.5.1</release>
    <api>1.3.1</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2007-06-20</date>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Fix Bug #11344: Error at line 644 in mime.php [cipri]
   </notes>
  </release>
  <release>
   <version>
    <release>1.5.2</release>
    <api>1.3.1</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2007-06-21</date>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Fix Bug #11381: domain name is attached to content-id, trailing greater-than sign is
  not remove [cipri]
   </notes>
  </release>
  <release>
   <version>
    <release>1.5.3</release>
    <api>1.3.2</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2009-12-29</date>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
Fixed bugs:
 * Fix Bug #14678: srand() lowers security [clockwerx]
 * Fix Bug #12921: _file2str not binary safe [walter]
 * Fix Bug #12385: Bad regex when replacing css style attachments [cipri]
 * Fix Bug #16911: Excessive semicolon in MIME header [alec]
 * Fix Bug #15320: Attachment charset is not set in Content-Type header [alec]
 * Fix Bug #16911: Lack of semicolon separator for MIME header parameters [alec]
 * Fix Bug #16846: Use preg_replace_callback() instead of /e modifier [alec]
 * Fix Bug #14779: Problem with an empty attachment [alec]
 * Fix Bug #15913: Optimize the memory used by Mail_mimePart::encode.
                   Avoid having attachments data duplicated in memory [alec]
 * Fix Bug #16539: Headers longer than 998 characters aren&apos;t wrapped [alec]
 * Fix Bug #11238: Wrong encoding of structured headers [alec]
 * Fix Bug #13641: iconv_mime_encode() seems to work different/errorious than
                   the build in logic. Removed &apos;ignore_iconv&apos; param.  [alec]
 * Fix Bug #16706: Incorrect double-quotes RFC 2231-encoded parameter values [alec]
 * Fix Bug #14232: RFC2231: tspecials encoding in _buildHeaderParam() [alec]
Implemented Features:
 * Implement Feature #10438: Function (encodeHeader) for encoding of given header [alec]
   </notes>
  </release>
  <release>
   <version>
    <release>1.6.0</release>
    <api>1.4.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2010-01-27</date>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
Bugs Fixed:
 * Don&apos;t break specified headers folding [alec]
 * Bug #17025: Wrong headers() result for long unwrapable header value [alec]

Implemented Features:
 * Allow setting Content-ID for HTML Images [alec]
 * Added one setParam() in place of many set*() functions [alec]
 * Added getParam(), getTXTBody(), getHTMLBody() [alec]
 * Skip RFC2231&apos;s charset if filename contains only ASCII characters [alec]
 * Make sure that Received: headers are returned on the top [alec]
 * Added saveMessageBody() and getMessageBody() functions [alec]
   </notes>
  </release>
  <release>
   <version>
    <release>1.6.1</release>
    <api>1.4.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2010-03-08</date>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
Bugs Fixed:
 * Fix encoding of Return-Receipt-To and Disposition-Notification-To headers [alec]

Implemented Features:
 * Implement Feature #12466: Build parameters validation [alec]
 * Implement Feature #17175: Content-Description support for attachments [alec]
   </notes>
  </release>
  <release>
   <version>
    <release>1.6.2</release>
    <api>1.4.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2010-03-23</date>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
Bugs Fixed:
 * Fix Bug #17226: Non RFC-compliant quoted-printable encoding of structured headers [alec]
   </notes>
  </release>
  <release>
   <version>
    <release>1.7.0</release>
    <api>1.4.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2010-04-12</date>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
Implemented Features:
 * Added Mail_mime::setContentType() function with possibility to set various
   types in Content-Type header (also fixes problem with boundary parameter when Content-Type
   header was specified by user) [alec]
   </notes>
  </release>
  <release>
   <date>2010-07-29</date>
   <version>
    <release>1.8.0</release>
    <api>1.4.1</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
Bugs Fixed:
 * Double-addition of e-mail domain to content ID in HTML images [alec]
 * #17311: Multi-octet characters are split across adjacent &apos;encoded-word&apos;s [alec]
 * #17573: Place charset parameter in first line of Content-Type header (if possible) [alec]
Implemented Features:
 * #17518: addTo() method [alec]
   </notes>
  </release>
  <release>
   <date>2010-12-01</date>
   <version>
    <release>1.8.1</release>
    <api>1.4.1</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
Bugs Fixed:
 * #18083: Not possible to set separate charset for attachment content and headers [alec]
   </notes>
  </release>
  <release>
   <date>2011-08-10</date>
   <version>
    <release>1.8.2</release>
    <api>1.4.1</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
Bugs Fixed:
 * #18426: Fixed backward compatibility for &quot;dfilename&quot; parameter [alec]
 * Removed xmail.dtd, xmail.xsl from the package [alec]
 * Fixed handling of email addresses with quoted local part [alec]
   </notes>
  </release>
  <release>
   <date>2012-03-12</date>
   <version>
    <release>1.8.3</release>
    <api>1.4.1</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Request #19009: Remove error_reporting from tests [alec]
* Fixed Bug #19094: Email addresses do not have to contain a space between the name and address part [alec]
* Fixed Bug #19328: Wrong encoding of filenames with comma [alec]
   </notes>
  </release>
  <release>
   <date>2012-05-17</date>
   <version>
    <release>1.8.4</release>
    <api>1.4.2</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Request #19406: Allow to set individual attachment part headers [alec]
* Fixed Bug #18982: Non-static method Mail_mimePart::encodeHeader() should not be called statically [alec]
   </notes>
  </release>
  <release>
   <date>2012-06-09</date>
   <version>
    <release>1.8.5</release>
    <api>1.4.3</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Added possibility to set additional parameters of message part header, e.g. attachment size [alec]
* Added automatic setting of attachment size via Content-Disposition header size parameter [alec]
   </notes>
  </release>
  <release>
   <date>2012-10-23</date>
   <version>
    <release>1.8.6</release>
    <api>1.4.3</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Bug #19473: PEAR::isError() compatibility problem with PHP 5.4 [alec]
* Bug #19497: Attachment filename is cut on slash character [alec]
* Bug #19665: Add Mail-Reply-To and Mail-Followup-To to structured recipient headers list [alec]
   </notes>
  </release>
  <release>
   <date>2012-12-25</date>
   <version>
    <release>1.8.7</release>
    <api>1.4.3</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Bug #5333: Fix more return by reference errors [alec]
* Bug #19754: Fix compatibility with PHP4 [alec]
   </notes>
  </release>
  <release>
   <date>2013-07-05</date>
   <version>
    <release>1.8.8</release>
    <api>1.4.3</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Fixed warning/notice on (static vs. non-static) PEAR::raiseError() usage [alec]
* Fixed Bug #19761: PHP5 warnings about return by reference [alec]
* Fixed Bug #19770: Make cid generator more unique on Windows [alec]
* Fixed Bug #19987: E_STRICT warning when null is passed by reference [alec]
   </notes>
  </release>
  <release>
   <date>2014-05-14</date>
   <version>
    <release>1.8.9</release>
    <api>1.4.3</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Fixed Bug #20273: Incorrect handling of HTAB in encodeHeader() [alec]
* Fixed Bug #20226: Mail_mimePart::encodeHeader does not encode ISO-2022-JP string [alec]
* Fixed Bug #20222: Broken Compatybility with PHP4 [alec]
   </notes>
  </release>
  <release>
   <date>2015-07-05</date>
   <time>12:50:00</time>
   <version>
    <release>1.9.0RC1</release>
    <api>2.0.0</api>
   </version>
   <stability>
    <release>beta</release>
    <api>beta</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Drop PHP4 support, Fix warnings on PHP7 [alec]
* Request #20564: Added possibility to unset headers [alec]
* Request #20563: Added isMultipart() method [alec]
* Request #20565: Accept also a file pointer in Mail_mimePart::encodeToFile(),
                  Mail_mime::get() and Mail_mime::saveMessageBody() [alec]
   </notes>
  </release>
  <release>
   <date>2015-08-06</date>
   <time>12:00:00</time>
   <version>
    <release>1.9.0</release>
    <api>1.9.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Bug #20921: Make Mail_mimePart::encodeHeaderValue() a static method [alec]
* Bug #20931: Really remove unset headers [alec]
* Request #18772: Added methods for creating text/calendar messages [alec]
   </notes>
  </release>
  <release>
   <date>2015-09-13</date>
   <time>12:00:00</time>
   <version>
    <release>1.10.0</release>
    <api>1.10.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Add possibility to add externally created Mail_mimePart objects as attachments [alec]
* Add possibility to set preamble text for multipart messages [alec]
   </notes>
  </release>
  <release>
   <date>2017-05-21</date>
   <time>12:00:00</time>
   <version>
    <release>1.10.1</release>
    <api>1.10.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Fix Bug 21206: explodeQuotedString() does not handle quoted strings correctly [dfukagaw28]
* Fix Bug 21205: Invalid encoding of headers with quoted multibyte strings in non-unicode charset [dfukagaw28]
* Fix Bug 21098: Discrepancy in handling of empty (but set) plain text part [alec]
   </notes>
  </release>
  <release>
   <date>2017-11-17</date>
   <time>11:00:00</time>
   <version>
    <release>1.10.2</release>
    <api>1.10.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Fix Bug #21255: Boundary gets added twice when using setContentType() [alec]
* PHP 7.2 compatibility fixes [alec]
   </notes>
  </release>
  <release>
   <date>2019-09-25</date>
   <time>08:00:00</time>
   <version>
    <release>1.10.3</release>
    <api>1.10.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Fix deprecation warning for get_magic_quotes_runtime() use on PHP 7.4 [alec]
   </notes>
  </release>
  <release>
   <date>2019-10-13</date>
   <time>11:00:00</time>
   <version>
    <release>1.10.4</release>
    <api>1.10.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Fix E_STRICT errors introduced in the previous release [alec]
   </notes>
  </release>
  <release>
   <date>2020-01-24</date>
   <time>19:00:00</time>
   <version>
    <release>1.10.5</release>
    <api>1.10.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Make sure to not set Content-Transfer-Encoding on multipart messages [alec]
* Added support for calendar invitations with attachments/html/images [jacalben]
   </notes>
  </release>
  <release>
   <date>2020-01-30</date>
   <time>08:25:00</time>
   <version>
    <release>1.10.6</release>
    <api>1.10.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Fix different boundary in headers and body when using headers() after get() [alec]
* Removed phail.php script [alec]
   </notes>
  </release>
  <release>
   <date>2020-03-01</date>
   <time>08:50:00</time>
   <version>
    <release>1.10.7</release>
    <api>1.10.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Fix invalid Content-Type for messages with only html part and inline images [alec]
   </notes>
  </release>
  <release>
   <date>2020-06-13</date>
   <time>08:50:00</time>
   <version>
    <release>1.10.8</release>
    <api>1.10.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Fix encoding issues with ISO-2022-JP-MS input labelled with ISO-2022-JP [shirosaki]
   </notes>
  </release>
  <release>
   <date>2020-06-27</date>
   <time>10:30:00</time>
   <version>
    <release>1.10.9</release>
    <api>1.10.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Added a workaround for an opcache bug on OpenSuse 15.1 [alec]
   </notes>
  </release>
  <release>
   <date>2021-01-17</date>
   <time>09:25:00</time>
   <version>
    <release>1.10.10</release>
    <api>1.10.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Compatibility fixes for PHP 5.2 and 5.3 [alec]
* Corrected soft line breaks handling to be RFC compliant [ixs]
* Corrected line breaks for lines ending in dots and length more than 74 [ixs]
   </notes>
  </release>
  <release>
   <date>2021-09-05</date>
   <time>10:25:00</time>
   <version>
    <release>1.10.11</release>
    <api>1.10.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <license uri="http://www.opensource.org/licenses/bsd-license.php">BSD Style</license>
   <notes>
* Fix PHP 8.1: strlen(): Passing null to parameter #1 ($string) of type string is deprecated [alec]
* Fix encoding recipient names with @ character and no space between name and address [alec]
* Fix the license label in composer.json [jnkowa-gfk]
   </notes>
  </release>
 </changelog>
</package>
